ant yaps-test sur Mac OS X

Modérateurs : graffion, jmdouin, agoncal, mlebihan

GONZALES
Messages : 13
Inscription : 14 oct. 2007 14:19

ant yaps-test sur Mac OS X

Message par GONZALES » 14 oct. 2007 21:55

Bonjour,

Ayant un mac, je n'ai pas pu installer la version Ecllipse3.3 du CNAM. J'ai installé Eclipse 3.2, junit 4.4, positionné la variable JUNIT_HOME à l'adresse de mon junit4.4.jar, etc...

J'ai fait mes dév. Dans Ecliipse pas de porblème les tests passent sauf que j'ai le message CustomerTest cannot be resolved dans AllTest.java.

En tout cas quand je fais run as JUNIT TEST : j'ai 5 messages OK.

Dans une xterm, je lance ant yaps-test et j'ai le message :
-----------------------------------------------------------------------------------
[echo] Compile the YAPS classes
[javac] Compiling 3 source files to /Users/manuel/Programmes/Java/TP00/Yaps/classes/production
[echo] Compile the YAPS test classes
[javac] Compiling 1 source file to /Users/manuel/Programmes/Java/TP00/Yaps/classes/test
[javac] /Users/manuel/Programmes/Java/TP00/Yaps/test/src/AllTests.java:26: cannot find symbol
[javac] symbol : variable CustomerTest
[javac] location: class Yaps.test.src.AllTests
[javac] suite.addTest(CustomerTest.suite());
[javac] ^
[javac] 1 error

BUILD FAILED
/Users/manuel/Programmes/Java/TP00/Yaps/build.xml:94: Compile failed; see the compiler error output for details.
------------------------------------------------------------------------------------

donc mes tests ne passent pas actuellement en ligne de commande.

Quelqu'un travaille t-il sur Mac ?

Merci d'avance.

Manuel

GONZALES
Messages : 13
Inscription : 14 oct. 2007 14:19

Message par GONZALES » 14 oct. 2007 22:27

Bon en fait j'ai un problème plus profond. Je tourne avec Java 5.0 car J2SE6 n'existe pas pour Mac OS X. Aie aie aie. Mais mon roblème existe toujours.

ellouze
Messages : 123
Inscription : 12 oct. 2007 22:27
Localisation : Paris
Contact :

Message par ellouze » 15 oct. 2007 1:50

essaye de compiler AllTest.java en tant que java application et dis moi ce que ça donne.

A demain.

Mohamed

nathieb
Messages : 135
Inscription : 07 nov. 2006 18:08

Conseil

Message par nathieb » 15 oct. 2007 16:48

Sur debian
j'avais jd5.0 et junit3.8.1 et j'ai eu beaucoup d'insultes
de la part de monsieur java
surtout ant yaps-test et yaps-mark

Un conseil passe à jdk6 et junit4.4
j'ai pas trouvé autre chose.

en ligne de commande

olivier

mlebihan
Messages : 114
Inscription : 09 févr. 2007 1:03

Message par mlebihan » 15 oct. 2007 18:58

Il n'existe aucun moyen, à terme, de passer les tp sans le JDK 1.6.

Je vois des liens de cette nature sur Internet qui laissent croire qu'il en existe pourtant un? http://www.damnhandy.com/2006/12/12/jav ... e-leopard/

Cependant, vous serez peut-être amené à transiter sur un PC...
Une bête de course n'est pas nécessaire.


M. Le Bihan

GONZALES
Messages : 13
Inscription : 14 oct. 2007 14:19

Message par GONZALES » 15 oct. 2007 22:46

merci Mr Le Bihan,

Pour Mac OSX et JAVA 6 c'est bien ce que je pensais.

Répondre

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité